Documentation
¶
Index ¶
- type EndpointRequestBuilder
- func (m *EndpointRequestBuilder) CreateGetRequestInformation() (...)
- func (m *EndpointRequestBuilder) CreateGetRequestInformationWithRequestConfiguration(requestConfiguration *EndpointRequestBuilderGetRequestConfiguration) (...)
- func (m *EndpointRequestBuilder) Get(ctx context.Context, ...) (iadcd81124412c61e647227ecfc4449d8bba17de0380ddda76f641a29edf2b242.Endpointable, ...)
- type EndpointRequestBuilderGetQueryParameters
- type EndpointRequestBuilderGetRequestConfiguration
Constants ¶
This section is empty.
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type EndpointRequestBuilder ¶
type EndpointRequestBuilder struct {
// contains filtered or unexported fields
}
EndpointRequestBuilder casts the previous resource to endpoint.
func NewEndpointRequestBuilder ¶
func NewEndpointRequestBuilder(rawUrl string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *EndpointRequestBuilder
NewEndpointRequestBuilder instantiates a new EndpointRequestBuilder and sets the default values.
func NewEndpointRequestBuilderInternal ¶
func NewEndpointRequestBuilderInternal(pathParameters map[string]string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *EndpointRequestBuilder
NewEndpointRequestBuilderInternal instantiates a new EndpointRequestBuilder and sets the default values.
func (*EndpointRequestBuilder) CreateGetRequestInformation ¶
func (m *EndpointRequestBuilder) CreateGetRequestInformation() (*i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestInformation, error)
CreateGetRequestInformation get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint
func (*EndpointRequestBuilder) CreateGetRequestInformationWithRequestConfiguration ¶
func (m *EndpointRequestBuilder) CreateGetRequestInformationWithRequestConfiguration(requestConfiguration *EndpointRequestBuilderGetRequestConfiguration) (*i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestInformation, error)
CreateGetRequestInformationWithRequestConfiguration get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint
func (*EndpointRequestBuilder) Get ¶
func (m *EndpointRequestBuilder) Get(ctx context.Context, requestConfiguration *EndpointRequestBuilderGetRequestConfiguration) (iadcd81124412c61e647227ecfc4449d8bba17de0380ddda76f641a29edf2b242.Endpointable, error)
Get get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint
type EndpointRequestBuilderGetQueryParameters ¶
type EndpointRequestBuilderGetQueryParameters struct {
// Expand related entities
Expand []string `uriparametername:"%24expand"`
// Select properties to be returned
Select []string `uriparametername:"%24select"`
}
EndpointRequestBuilderGetQueryParameters get the item of type microsoft.graph.directoryObject as microsoft.graph.endpoint
type EndpointRequestBuilderGetRequestConfiguration ¶
type EndpointRequestBuilderGetRequestConfiguration struct {
// Request headers
Headers map[string]string
// Request options
Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
// Request query parameters
QueryParameters *EndpointRequestBuilderGetQueryParameters
}
EndpointRequestBuilderGetRequestConfiguration configuration for the request such as headers, query parameters, and middleware options.